Bug 73896 - Attached email crashes mail component of Evolution 1.0.8-7
Summary: Attached email crashes mail component of Evolution 1.0.8-7
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: athlon Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-13 02:52 UTC by Michael Eckhoff
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 02:14:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Email that can crash Evolution (4.91 KB, text/plain)
2002-09-13 02:52 UTC, Michael Eckhoff
no flags Details

Description Michael Eckhoff 2002-09-13 02:52:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
When the attached email is opened, mail component of evolution crashes with
segfault.

Version-Release number of selected component (if applicable):
evolution-1.0.8-7

How reproducible:
Always

Steps to Reproduce:
1.Import attached email message into the inbox
2.Either browse over the email or double click to open
3.You may need to do this multiple times.  The most times I have had to open it
is 4, the least once.
	

Actual Results:  Evolution mail component crashes with a segfault.

Expected Results:  The email should open.

Additional info:

I have no clue what this message is - it came as spam mail.  So if you know the
language it's in, my apologies if it is offensive.

My system is (null) beta updated with latest packages from up2date.

I use evolution as my primary email package at home.  Generally have a few
hundred messages in the inbox at any one time.  I have not seen an email crash
it until now.  That is why I am reporting it as a bug.

I saved the message during one of the times it did not crash on the first click.
 I have tested to make sure that it still can crash evolution even after it has
been re-imported.  Be careful - if it becomes the first message in your inbox,
evolution may crash upon load.

Comment 1 Michael Eckhoff 2002-09-13 02:52:41 UTC
Created attachment 76025 [details]
Email that can crash Evolution

Comment 2 Jeremy Katz 2002-10-31 22:30:26 UTC
Does this still crash with the final release?

Comment 3 Michael Eckhoff 2002-11-01 04:37:51 UTC
Yes, it sure does.  Package is evolution-1.0.8-10 on RH8.0 final.


Comment 4 Jeremy Katz 2003-02-06 02:14:42 UTC
Fixed with gnome-vfs-1.0.5-12 in rawhide


Note You need to log in before you can comment on or make changes to this bug.